Bug 518837 - SELinux is preventing awstats_updatea (awstats_t) "read write" crond_t
Summary: SELinux is preventing awstats_updatea (awstats_t) "read write" crond_t
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: awstats
Version: 11
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 14:28 UTC by faith
Modified: 2010-06-28 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:15:08 UTC


Attachments (Terms of Use)

Description faith 2009-08-23 14:28:06 UTC
Description of problem:  SELinux is preventing awstats_updatea (awstats_t) "read write" crond_t


Version-Release number of selected component (if applicable):


How reproducible:  not sure; guess happens during update attempt


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Summary:

SELinux is preventing awstats_updatea (awstats_t) "read write" crond_t.

Detailed Description:

SELinux denied access requested by awstats_updatea. It is not expected that this
access is required by awstats_updatea and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:awstats_t:s0-s0:c0.c1023
Target Context                system_u:system_r:crond_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        awstats_updatea
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           perl-5.10.0-73.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-69.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.29.6-217.2.3.fc11.i586 #1 SMP Wed Jul 29
                              15:46:46 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Mon 10 Aug 2009 06:01:06 AM EDT
Last Seen                     Mon 10 Aug 2009 06:01:06 AM EDT
Local ID                      e509e880-8f96-4e55-9d18-92556d2c2b8c
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1249898466.863:2154): avc:  denied  { read write } for  pid=3275 comm="awstats_updatea" path="socket:[4199443]" dev=sockfs ino=4199443 scontext=system_u:system_r:awstats_t:s0-s0:c0.c1023 tcontext=system_u:system_r:crond_t:s0-s0:c0.c1023 tclass=tcp_socket

node=localhost.localdomain type=SYSCALL msg=audit(1249898466.863:2154): arch=40000003 syscall=11 success=yes exit=0 a0=8ee8068 a1=8ee7d38 a2=8ee6d18 a3=8ee7d38 items=0 ppid=3258 pid=3275 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=486 comm="awstats_updatea" exe="/usr/bin/perl" subj=system_u:system_r:awstats_t:s0-s0:c0.c1023 key=(null)

Comment 1 faith 2009-09-15 23:41:50 UTC
someone, please tell me if this SELinux denial is something that only affected what I was trying to do that day (8/10/09), or if indicates something could be being blocked indefinitely (until addressed).  thank you -

Comment 2 Bug Zapper 2010-04-28 09:54:44 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:15:08 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.